Subject: bug#3296: closed (Re: crash in ediff)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Mar 2011 06:51:01 +0000

Your bug report

#3296: crash in ediff

which was filed against the emacs22 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3296: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3296
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: crash in ediff
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2011 01:50:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the report. Emacs 22 is very old and has not been supported
for some time. The latest version is 23.3. Please open new reports for
any issues you have with the new version.

Subject: crash in ediff
From: Paul Graham <[email-masked]>
To: [email-masked]
Date: Fri, 15 May 2009 12:15:48 -0400

Every so often, about once a week, my emacs session crashes while 
running ediff.  I'm enclosing a stack trace.  I will be running ediff 
comparing two directories.  The crash occurs when I'm in the buffer 
which lists pairs of files from the two directories.  I select the next 
pair to examine, and at the point emacs crashes.

I'm running this version:

    This is GNU Emacs 22.2.1 (i386-redhat-linux-gnu, GTK+ Version 2.12.9)
     of 2008-05-23 on xenbuilder4.fedora.phx.redhat.com

I'm running Fedora 9, Linux kernel 2.6.27.12-78.2.8.fc9.i686, GNOME 2.22.3.

Paul

Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x656767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x65690e]
#2 /usr/lib/libX11.so.6 [0x595109]
#3 /usr/lib/libX11.so.6(XFlush+0x29) [0x56db39]
#4 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0x869384]
#5 /usr/lib/libgdk-x11-2.0.so.0 [0x86012c]
#6 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) 
[0x860244]
#7 emacs [0x80cc9f2]
#8 emacs [0x80ccaa7]
#9 emacs [0x80cd105]
#10 emacs [0x80cd173]
#11 /usr/lib/libX11.so.6(_XError+0x109) [0x58da49]
#12 /usr/lib/libX11.so.6 [0x595ac8]
#13 /usr/lib/libX11.so.6(_XEventsQueued+0x55) [0x596435]
#14 /usr/lib/libX11.so.6(_XFlush+0x42) [0x5964c2]
#15 /usr/lib/libX11.so.6(XFlush+0x31) [0x56db41]
#16 emacs [0x80da290]
#17 emacs [0x8061839]
#18 emacs [0x8061c33]
#19 emacs [0x80dcb7d]
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x656767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x65690e]
#2 /usr/lib/libX11.so.6 [0x595109]
#3 /usr/lib/libX11.so.6(XFlush+0x29) [0x56db39]
#4 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0x869384]
#5 /usr/lib/libgdk-x11-2.0.so.0 [0x86012c]
#6 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) 
[0x860244]
#7 emacs [0x80cc9f2]
#8 emacs [0x80ccaa7]
#9 emacs [0x80cd105]
#10 emacs [0x80cd173]
#11 /usr/lib/libX11.so.6(_XError+0x109) [0x58da49]
#12 /usr/lib/libX11.so.6 [0x595ac8]
#13 /usr/lib/libX11.so.6(_XEventsQueued+0x55) [0x596435]
#14 /usr/lib/libX11.so.6(_XFlush+0x42) [0x5964c2]
#15 /usr/lib/libX11.so.6(XFlush+0x31) [0x56db41]
#16 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0x869384]
#17 /usr/lib/libgdk-x11-2.0.so.0 [0x86012c]
#18 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) 
[0x860244]
#19 emacs [0x80cc9f2]
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x656767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x65690e]
#2 /usr/lib/libX11.so.6 [0x595109]
#3 /usr/lib/libX11.so.6(XFlush+0x29) [0x56db39]
#4 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0x869384]
#5 /usr/lib/libgdk-x11-2.0.so.0 [0x86012c]
#6 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) 
[0x860244]
#7 emacs [0x80cc9f2]
#8 emacs [0x80ccaa7]
#9 emacs [0x80cd105]
#10 emacs [0x80cd173]
#11 /usr/lib/libX11.so.6(_XError+0x109) [0x58da49]
#12 /usr/lib/libX11.so.6 [0x595ac8]
#13 /usr/lib/libX11.so.6(_XEventsQueued+0x55) [0x596435]
#14 /usr/lib/libX11.so.6(_XFlush+0x42) [0x5964c2]
#15 /usr/lib/libX11.so.6(XFlush+0x31) [0x56db41]
#16 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0x869384]
#17 /usr/lib/libgdk-x11-2.0.so.0 [0x86012c]
#18 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) 
[0x860244]
#19 emacs [0x80cc9f2]
X protocol error: BadFont (invalid Font parameter) on protocol request 55

[1]+  Exit 70                 emacs  (wd: ~/oasys/sb)
(wd now: ~/oasys/sb/src)
[<sb> src]$